Mailinglist Archive: opensuse-buildservice (193 mails)

< Previous Next >
Re: [opensuse-buildservice] Dependency conflicts in Ubuntu
  • From: Rolf Krahl <rolf@xxxxxxxxxxx>
  • Date: Fri, 31 Jan 2014 09:26:26 +0100
  • Message-id: <2989578.aYV0zZsrYN@rinzewind>
Thanks for the quick answer!

Am Freitag, 31. Januar 2014, 09:12:30 schrieb Adrian Schröter:
On Freitag, 31. Januar 2014, 09:07:28 wrote Rolf Krahl:

%if 0%{?centos_version} || 0%{?rhel_version}
Prefer: atlas
%endif

%if 0%{?fedora_version} == 18
Prefer: texlive-simplecv
%endif

Does something similar also work for DEB based distributions? How
would a corresponding entries for Ubuntu look like?

Prefer: libblas3

Ok. But is there something like "%if 0%{?ubuntu_version} == 1210" to
enclose this in? I'm not sure if I would like to prefer libblas3
unconditionally for all distributions in the project without knowing
about the respective alternatives.

just the same .... however, at least the jpeg one looks like we should
apply this in the main Ubuntu project...

I have done so now for Ubuntu 12.10 - 13.10. Please test and tell if
anything else is needed.

I don't see the effect on my project yet, but maybe it just takes a
little more time to propagate?

--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >